PUZZLE(1)

NAME
puzzle - 15-puzzle game for X

SYNOPSIS
puzzle [-option ...]

OPTIONS

-display display
    This option specifies the display to use; see X(1).

-geometry geometry
    This option specifies the size and position of the puzzle window; see X(1).

-size WIDTHxHEIGHT
    This option specifies the size of the puzzle in squares.

-speed num
    This option specifies the speed in tiles per second for moving tiles around.

-picture filename
    This option specifies an image file containing the picture to use on the tiles. Try ``mandrill.cm.'' This only works on 8-bit pseudo-color screens.

-colormap
    This option indicates that the program should create its own colormap for the picture option.

DESCRIPTION
Puzzle with no arguments plays a 4x4 15-puzzle. The control bar has two boxes in it. Clicking in the left box scrambles the puzzle. Clicking in the right box solves the puzzle. Clicking the middle button anywhere else in the control bar causes puzzle to exit. Clicking in the tiled region moves the empty spot to that location if the region you click in is in the same row or column as the empty slot.

SEE ALSO
X(1)

BUGS
The picture option should work on a wider variety of screens.

COPYRIGHT
Copyright 1988, Don Bennett.

AUTHOR
Don Bennett, HP Labs